Package org.eclipse.m2m.atl.emftvm.util

# Class ResourceIterable

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.ResourceIterable

All Implemented Interfaces:
  `Iterable<org.eclipse.emf.ecore.EObject>`

public class ResourceIterable extends Object implements Iterable<org.eclipse.emf.ecore.EObject>
Makes the contents of a `Resource` available as an `Iterable`.

## Constructor Summary

Constructors
Constructor
Description
`ResourceIterable(org.eclipse.emf.ecore.resource.Resource res)`
Creates a new `ResourceIterable` around `res`.

## Method Summary

Modifier and Type
Method
Description
`Iterator<org.eclipse.emf.ecore.EObject>`
`iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### ResourceIterable

public ResourceIterable(org.eclipse.emf.ecore.resource.Resource res)
Creates a new `ResourceIterable` around `res`.

Parameters:
  `res` - the resource

## Method Details

### iterator

public Iterator<org.eclipse.emf.ecore.EObject> iterator()

Specified by:
  `iterator` in interface `Iterable<org.eclipse.emf.ecore.EObject>`